Qt 5.6 | Qt 3D | C++ Classes | QCullFace

Qt 5.6.3 Reference Documentation

# QCullFace Class

(Qt3DRender::QCullFace)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | CullingMode { Front, Back, FrontAndBack }

## Properties

- mode : CullingMode

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCullFace(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QCullFace()
CullingMode | mode() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMode(CullingMode mode)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | modeChanged(CullingMode mode)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QCullFace::CullingMode

## Property Documentation

### mode : CullingMode

Access functions:

CullingMode | mode() const
void | setMode(CullingMode mode)

Notifier signal:

void | modeChanged(CullingMode mode)

## Member Function Documentation

### QCullFace::QCullFace(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QCullFace.

### QCullFace::~QCullFace()

Destroys the instance of QCullFace.

### `[protected]` void QCullFace::copy(const Qt3DCore::QNode *ref)